import unittest

from comsdk.graph import *
from comsdk.parser import Parser

path_to_comsdk = "/home/lbstr/bmstu/comsdk"

class ParserGoodCheck(unittest.TestCase):

    def test_trivial_graph(self):
        parsr = Parser()
        gr = parsr.parse_file("./tests/adot/trivial.adot")
        data = {"a": 1}
        gr.run(data)
        self.assertEqual(data["a"], 4)

    def test_branching_graph(self):
        parsr = Parser()
        gr = parsr.parse_file("./tests/adot/branching.adot")
        data = {"a": 1, "b": 1}
        gr.run(data)
        self.assertEqual(data["a"], 4)
        self.assertEqual(data["b"], 4)

    def test_cycled_graph(self):
        parsr = Parser()
        gr = parsr.parse_file("./tests/adot/cycled.adot")
        data = {"a": 10}
        gr.run(data)
        self.assertEqual(data["a"], 0)

    def test_complex_graph(self):
        parsr = Parser()
        gr = parsr.parse_file("./tests/adot/complex.adot")
        data = {"a": 1, "b": 1}
        gr.run(data)
        self.assertEqual(data["a"], 4)
        self.assertEqual(data["b"], 4)

    def test_cpp_trivial_graph(self):
        pass
    
    def test_cpp_branching_graph(self):
        pass

    def test_cpp_cycled_graph(self):
        pass

    def test_cpp_complex_graph(self):
        pass



if __name__ == '__main__':
    unittest.main()

